> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Payment

> Show data for a payment.



## OpenAPI

````yaml GET /v1/payments/{id}
openapi: 3.1.0
info:
  title: Reditus API - Payments
  description: API specification for managing payments in Reditus.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/payments/{id}:
    get:
      summary: Get Payment
      description: Show data for a payment.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Payment id
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PaymentResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              $ref: '#/components/schemas/PaymentRequest'
    PaymentRequest:
      type: object
      properties:
        referral_uid:
          type: string
          description: '**required** - Your internal ID of the referral/user'
        referral_email:
          type: string
          description: >-
            **required** if `referral_id` / `referral_uid` not set - Email of
            the referral/lead
        referral_id:
          type: string
          description: >-
            **required** if `referral_email` / `referral_uid` not set - Reditus
            id of the referral/lead
        amount:
          type: integer
          description: Payment amount (in cents)
        currency:
          type: string
          description: Payment currency - (lowercase, i.e. **usd**)
        idempotency_key:
          type: string
          description: >-
            A unique string to identify this payment. Used to prevent double
            payments.
        subscription_id:
          type: string
          description: >-
            Should be the id of the subscription on your side. Used to associate
            subsequent payments to this subscription.
        interval:
          type: string
          description: Subscription interval ('month'/'year')
        interval_count:
          type: integer
          description: 'Number of intervals the payment is made (default: 1)'
      required:
        - idempotency_key
        - amount
        - currency
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````